Edit Access

Edit a scheduled, single key access with a PUT request to the endpoint with the access ID.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Body

To update an existing access, include the data to be modified as a JSON object in the request body:

{
  "accessStartDate": "2025-04-21",
  "accessStartTime": "12:45",
  "accessEndDate": "2025-04-23",
  "accessEndTime": "12:45",
  "timeZone": "America/Vancouver",
  "name": "Bob S.",
  "returnReminder": false
}
📘

Only the fields listed above can be edited, and only for scheduled accesses associated with a single key.
A time zone cannot be added after access creation.

Path Params
int64
required

The unique identifier of the access record.
Example: 123456

Body Params
string

The access start date.
Example: 2025-07-21

string

The access start time.
Example: 12:45

string

The access end date
Example: 2025-07-23

string

The access end time
Example: 12:45

string

The access time zone
Example: America/Vancouver.

string

The visitor's name.
Example: Bobby

boolean

Whether the guest should be sent a reminder to return the key after their visit.
Example: false

Response

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json